# applyPodPropertyValues method

1. @override

Future<void> applyPodPropertyValues(

1. Object existing,
2. String name

)
override

Applies property values to a pod instance based on its configuration.

This method sets property values defined in the pod configuration to the existing pod instance.

## Usage Example:

    final pod = MyConfigurablePod();
    await factory.applyPodPropertyValues(pod, 'myConfigurablePod');
    // Now pod has all configured property values set

@param existingPod The pod instance to apply properties to @param podName The name of the pod being configured @return A Future that completes when properties are applied

## Implementation

    @override
    Future<void> applyPodPropertyValues(Object existing, String name) async {
      RootPodDefinition root = getMergedPodDefinition(name);
      Class podClass = root.type;
      PodHolder ph = (existing, podClass);

      MutablePropertyValues pvs = MutablePropertyValues.from(root.propertyValues);
      applyPropertyValues(name, root, ph, pvs);
    }